FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202010151500.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202010151500.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=095c187 OS_GIT_VERSION=4.5.0-202010151500.p0-095c187 SOURCE_DATE_EPOCH=1599855644 SOURCE_GIT_COMMIT=095c187347499532f5f7ce7afd90c562a392f3fd SOURCE_GIT_TAG=095c1873 SOURCE_GIT_URL=https://github.com/openshift/cluster-svcat-apiserver-operator 
WORKDIR /go/src/github.com/openshift/cluster-svcat-apiserver-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.5.0.20201015.152216
ENV __doozer=update BUILD_RELEASE=202010151500.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202010151500.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=095c187 OS_GIT_VERSION=4.5.0-202010151500.p0-095c187 SOURCE_DATE_EPOCH=1599855644 SOURCE_GIT_COMMIT=095c187347499532f5f7ce7afd90c562a392f3fd SOURCE_GIT_TAG=095c1873 SOURCE_GIT_URL=https://github.com/openshift/cluster-svcat-apiserver-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-svcat-apiserver-operator/cluster-svcat-apiserver-remover /usr/bin/
COPY manifests /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-svcat-apiserver-operator" \
        com.redhat.component="ose-cluster-svcat-apiserver-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Service Catalog" \
        release="202010151500.p0" \
        io.openshift.build.commit.id="095c187347499532f5f7ce7afd90c562a392f3fd" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-svcat-apiserver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-svcat-apiserver-operator/commit/095c187347499532f5f7ce7afd90c562a392f3fd" \
        version="v4.5.0"

